/* CSS custom properties - variables */

/* https://kinsta.com/blog/responsive-web-design/ */
/* Smartphone
@media screen and (max-width: 767px) {...}
Tablet
@media screen and (min-width: 768px) and (max-width: 1023px) {...} 
Desktop
@media screen and (min-width: 1024px) {...} */
/* mobile first */

body {
    --desktop: 1200px;
    --laptop: 992px;
    --tablet: 768px;
    --phone: 480px;
    --color: blue;
}

#my-id {
    --color: red;
}

p span {
    background-color: var(--color);
}


@media screen and (min-width: 768px) and (max-width: 1023px){
    body {
        background-color: grey;
    }
}